Summary: Resource allocator for the Workload Management System
Name: glite-wms-matchmaking
Version: %{extversion}
Release: %{extage}.%{extdist}
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: System Environment/Libraries
BuildArch: %{_arch}
BuildRequires: %{!?extbuilddir: glite-wms-common-devel, glite-build-common-cpp, } chrpath
BuildRequires: %{!?extbuilddir: glite-wms-utils-classad-devel, glite-wms-utils-exception-devel,} libtool
BuildRequires: %{!?extbuilddir: glite-wms-classad_plugin-devel,} boost-devel
BuildRequires: %{!?extbuilddir: glite-jdl-api-cpp-devel,} classads-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}-%{version}-%{release}.tar.gz

%global debug_package %{nil}

%description
Resource allocator for the Workload Management System

%prep
 

%setup -c -q

%build
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  ./configure --prefix=%{buildroot}/usr --disable-static PVER=%{version}
  make
fi

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  make install
else
  cp -R %{extbuilddir}/* %{buildroot}
fi
sed 's|^prefix=.*|prefix=/usr|g' %{buildroot}%{_libdir}/pkgconfig/wms-matchmaking.pc > %{buildroot}%{_libdir}/pkgconfig/wms-matchmaking.pc.new
mv %{buildroot}%{_libdir}/pkgconfig/wms-matchmaking.pc.new %{buildroot}%{_libdir}/pkgconfig/wms-matchmaking.pc
rm %{buildroot}%{_libdir}/*.la
chrpath --delete %{buildroot}%{_libdir}/libglite_wms_*.so.0.0.0
 

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%dir /usr/share/doc/glite-wms-matchmaking-%{version}/
%doc /usr/share/doc/glite-wms-matchmaking-%{version}/LICENSE
%{_libdir}/libglite_wms_matchmaking.so.0.0.0
%{_libdir}/libglite_wms_matchmaking.so.0



%package devel
Summary: Development files for the WMS resource allocator
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: glite-wms-common-devel, glite-build-common-cpp
Requires: glite-wms-utils-classad-devel
Requires: glite-wms-utils-exception-devel
Requires: glite-wms-classad_plugin-devel
Requires: glite-jdl-api-cpp-devel

%description devel
Development files for the WMS resource allocator

%files devel
%defattr(-,root,root)
%dir /usr/include/glite/
%dir /usr/include/glite/wms/
%dir /usr/include/glite/wms/matchmaking/
/usr/include/glite/wms/matchmaking/*.h
%{_libdir}/pkgconfig/wms-matchmaking.pc
%{_libdir}/libglite_wms_matchmaking.so


%changelog
* %(date +"%%a %%b %%d %%Y") WMS group <wms-support@lists.infn.it> - %{version}-%{release}
- %{extclog}

